
ChiliProject - Bug # 926: Task hierarchy tree structure not displayed due to CSS cascading differently 
than it used to

Status: Duplicate Priority: Normal
Author: Andrey Mikhaylov Category: Themes
Created: 2012-03-08 Assignee:
Updated: 2012-03-22 Due date:
Remote issue URL:
Affected version: 3.0.0
Description: Hi!

I've used task hierarchy in ChiliProject 2.2. Tasks displayed in a nice tree structure.

But after an update to 3.0 tasks started to display in a plain list.

I've investigated the CSS and discovered that left padding of subtasks gets overridden by padding in another 
rule.

After updating the rules with @!important@, tree structure is back!

See the attached screenshot for comparison.

Patch also included.

History
2012-03-08 08:54 pm - Andrey Mikhaylov
- Target version deleted (3.1.0)

Ah... I should've set the affected version to 3.0. And now i can't find where to change it.

2012-03-22 12:53 am - Andrew Smith
I'm pretty sure this is related to #911 as well. The solution there is to add #content to all of the rules instead of !important (using !important is generally 
not recommended).

2012-03-22 08:34 am - Felix Schäfer
- Affected version set to 3.0.0

- Status changed from Open to Duplicate

As far as I can see this is a duplicate of #911 and has been fixed in master, thanks for reporting!
